Arch Estructura

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Structure and the translation is 39% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎hrvatski • ‎italiano • ‎日本語 • ‎português do Brasil • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎українська
Arrow-left.svg Previous: Arch Wall.png Wall

Arch Structure.svg Arch Estructura

Ubicación en el Menú
Arquitectura → Estructura
Entornos de trabajo
Arquitectura
Atajo de teclado por defecto
S T
Introducido en versión
-
Ver también
Muro


Descripción

Esta herramienta permite construir elementos estructurales como columnas o vigas, especificando su ancho, largo y alto, o basándose en un perfil 2D.

If no profile is given, a set of presets are available to quickly build a structural element from a predefined standard profile.

Arch Structure example.jpg

La imagen superior muestra una columna basada en un perfil 2D, una columna y una viga que no se basan en un perfil (definidas por sus dimensiones de alto, largo y ancho) y un perfil metálico basado en un contorno 2D (cara, contorno o croquis).Además, un cierto número de elementos predefinidos disponibles durante la creación del objeto, le permite construir rápidamente un elemento estructural a partir de un perfil estándar predefinido.

Utilización

  1. Seleccionar una forma 2D (objeto bocetado, cara o croquis) (opcional)
  2. Presionar el botón Arch Structure.png Estructura, o pulsar las teclas S y T
  3. Ajusta las propiedades deseadas

Opciones

  • Los elementos estructurales comparten las propiedades y comportamientos comunes de todos los Arch Components
  • Si no se ha seleccionado ningún objeto, se crea un bloque en tres dimensiones
  • El alto, largo y acho de la estructura se puede ajustar después de su creación
  • Presiona ESC o el botón Cancelar para cancelar el comando actual.
  • Haciendo doble clic en la estructura en la vista en árbol después de crearla permite entrar en modo edición y acceder y modificar sus adiciones y substracciones
  • En modo edición, también es posible añadir sistemas de ejes al elemento estructural. Cuando se añade un sistema de ejes, el elemento estructural se copiará en cada eje del sistema. Cuando se añaden dos sistemas de ejes, el elemento estructural se copiará una vez en cada intersección de los dos sistemas.

Propiedades

Data

  • DATOSLength: La longitud de la estructura (solo se usa si no se basa en un perfil)
  • DATOSWidth: El ancho de la estructura (solo se usa si no se basa en un perfil)
  • DATOSHeight: La altura de la estructura (o la longitud de extrusión cuando se basa en un perfil). Si no se da altura, y la estructura está dentro de un objeto floor con su altura definida, la estructura tomará automáticamente el valor de la altura del piso/floor.
  • DATOSNodes Offset: Un desplazamiento opcional entre la línea central y la línea de nodos
  • VISTANodes Type: El tipo de nodos estructurales de este objeto, lineal o área.
  • VISTAShow Nodes: Muestra u oculta los nodos estructurales.

View

  • VIEWNodes Type: The type of structural nodes of this object, linear or area.
  • VIEWShow Nodes: Shows or hides the structural nodes.

Predefinidos

La herramienta Estructura también presenta una serie de elementos predefinidos que permiten construir rápidamente perfiles metálicos estándar o elementos prefabricados de hormigón.

Arch presets example.jpg

Some presets for steel structures


Los elementos predefinidos se obtienen al elegir una Categoría del panel de opciones de estructura. Las categorías disponibles son Prefabricados de hormigón o cualquiera de los perfiles metálicos estándar de la industria, tales como HEA, HEB o INP. Para cada una de estas categorías, hay una cantidad de predefinidos disponibles. Una vez que se selecciona un predefinido, se pueden ajustar sus parámetros individuales tales como Longitud, Ancho o Altura. Sin embargo, para perfiles metálicos, el tamaño del perfil está establecido por el elemento predefinido y no se puede cambiar.

El botón Switch L/H se puede usar para cambiar los valores de Longitud y Altura y, por lo tanto, construir una viga horizontal en lugar de una columna vertical.

Arch precast example.jpg

Some presets for precast concrete structures


Nodos estructurales

Los objetos estructurales también tienen la capacidad de mostrar nodos estructurales. Los nodos estructurales son una secuencia de puntos 3D almacenados en una propiedad "Nodos". Al activar o desactivar la propiedad de vista "Mostrar nodos", se pueden ver los nodos estructurales de un elemento estructural:

Arch structural nodes.jpg

Structural nodes made visible for a set of structures


  • Los nodos se calculan y actualizan automáticamente, siempre que no los modifiques manualmente. Si lo hizo, no se actualizarán si la forma del objeto estructural cambia, a menos que use la herramienta "Restablecer nodos" a continuación.
  • Las estructuras de arco pueden tener nodos lineales, sino también nodos planos. Para esto, 1- Debe haber al menos 3 vectores en la propiedad "Nodes" del objeto, 2- la propiedad "NodesType" de su ViewObject se debe establecer en "Área".
  • Cuando el cálculo de nodos es automático (es decir, si nunca los tocó manualmente), al establecer la propiedad Rol de una estructura a "Slab", se convertirá automáticamente en un nodo plano (habrá más de 3 vectores y el NodesType se establecerá en "Área").
  • Al editar un objeto de estructura (hacer doble clic), hay un par de herramientas de nodo disponibles en la vista de tareas:
    • Restablezca los nodos al cálculo automático, en caso de que los haya modificado manualmente
    • Edite los nodos gráficamente, funciona de la misma manera que Draft Edit
    • Extiende los nodos del objeto editado hasta que toque el nodo de otro objeto
    • Hacer el nodo de este objeto y otro coincidente
    • Activa/desactiva la visualización de todos los nodos de todos los objetos estructurales del documento

Programación

La herramienta Estructura se puede utilizar en macros y desde la consola de Python mediante las siguientes funciones:

Structure = makeStructure(baseobj=None, height=None)
Structure = makeStructure(baseobj=None, length=None, width=None, height=None, name="Structure")
Crea un elemento de estructura basado en el objeto perfil y altura de extrusión dadas. Si no se indica un objeto base, se puede especificar la longitud y ancho para un objeto cúbico.

Ejemplo:

import FreeCAD, Draft, Arch

Rect = Draft.makeRectangle(200, 300)
Structure1 = Arch.makeStructure(Rect, height=2000)
FreeCAD.ActiveDocument.recompute()

Structure2 = Arch.makeStructure(None, length=500, width=1000, height=3000)
Draft.move(Structure2, FreeCAD.Vector(2000, 0, 0))
FreeCAD.ActiveDocument.recompute()